
== Changelog ==
= 🌀 Animation Addons for Elementor v2.6.9 – 07th July 2026

    Fixed: Secrutiy Fixed at whole plugin.
    Improved: Performance Improved at whole plugin.


= 🌀 Animation Addons for Elementor v2.6.8 – 16th June 2026

    Fixed: Image Gallery lightbox issue — it is now working perfectly.
    Improved: Reduced plugin size for better performance and faster loading.  

= 🌀 Animation Addons for Elementor v2.6.7 – 2nd June 2026

    - Improved: Text Domain Mismatch at Image Accordion, Advanced Pricing Table and Weather widgets.
    - Improved: WPML Compatibility at Post social share and Image Accordion widget.
    - Fixed: security fixed in Image and Loop Grid Widget.

= 🌀 Animation Addons for Elementor v2.6.6 – 23th May 2026

    - Fixed: Button icon size was not working properly, it now works correctly.
    - Improved: Button — All icon-related fields are now dependent on the icon being enabled.
    - Improved: Advanced Button - All Icon-related fields are now dependent on the icon being enabled.
    - Imporoved : DisableEditor Mode Field order changes and UI more user-friendly.
    - Improved: Nav Menu- Each Items Of Menu  are now full block clickable and Submenu working fine.

= 🌀 Animation Addons for Elementor v2.6.5 – 19th May 2026

    - Fixed : Icon Box- for style 2 Icon Hover Style add for Control Icon Hover Effect
    - Fixed: Advance accordion- Close and Open Icon doesn't properly Synchronize. Now working fine.
    - Imporoved : Animated-Heading- Text Decoration no need in heading style settings.

= 🌀 Animation Addons for Elementor v2.6.4 – 4th May 2026

    - Fixed : Loop Grid Default pagination Icon size.
    - Fixed : Loop Grid Pagination alignment.
    - Improved: Widget Categories Toggle Position reorder.
    - Improved: Loop Grid , weather, archive widget security maintain.

= 🌀 Animation Addons for Elementor v2.6.3 – 20th April 2026
  
    - Added: Lightbox Feature Added at  Image Gallery Widget
    - Imporoved: Dashboard Performance Improved.
    - Added: Brand Slider Widget- New control auto slide width

= 🌀 Animation Addons for Elementor v2.6.2 – 9th April 2026

  - Added: Language Support at Dashboard.
  - Improved: Moderate performance issues solved in both the builder and frontend.
 
= 🌀 Animation Addons for Elementor v2.6.1 – 1st April 2026

    - Fixed: Single Post Template Issues.

= 🌀 Animation Addons for Elementor v2.6.0 – 29th March 2026

    - Fixed: React Lazyload issues.
    - Improved: Modarate performance issues solved in both the builder and frontend.

= 🌀 Animation Addons for Elementor v2.5.9 – 16th March 2026

    - Improved: Boost performance in both the builder and frontend.

= 🌀 Animation Addons for Elementor v2.5.8 – 12th March 2026

    - Fixed: Nav menu widget conflict issues.

= 🌀 Animation Addons for Elementor v2.5.7 – 10th March 2026

    - Fixed: Starter Animation conflict issues.

= 🌀 Animation Addons for Elementor v2.5.6 – 5th March 2026

    - Fixed: Starter Animation Issue Fixed.
    - Fixed: Loop grid widget conflict with Elmentor Loop grid issue fixed.
    - Imporved: Starter Animation Dependancy remove as extension.

= 🌀 Animation Addons for Elementor v2.5.5 – 22th February 2026

    - Added: New Free Starter Animation For Text, Image, Container .
    - Added: Advanced Pricing Table -New Widget Introduce.
    - Added: Weather -New Widget Introduce.
    - Added: 27 Free templates.
    
= 🌀 Animation Addons for Elementor v2.5.4 – 16th February 2026

  - **Improved:** Cleaned up unnecessary code
  - **Added:** 3+ Section's Added.

= 🌀 Animation Addons for Elementor v2.5.3 – 1st February 2026

  - **Feature:** Add WPML Support for All Widgets.
  - **Feature:** Add None Option of Ease Field at Animation Extension section.

= 🌀 Animation Addons for Elementor v2.5.2 – 26 January 2026

  - **Updated:** Extensions Icons
  - **Fixed:** Filterable Slider issue

= 🌀 Animation Addons for Elementor v2.5.1 – 19 January 2026

  - **Fix:** ScrollSmoother saving issue


= 🌀 Animation Addons for Elementor v2.5.0 – 18 January 2026

  - **Fix:** Dashboard RTL issues
  - **Fix:** Korean Language design load issue
  - **Fix:** ThemeBuilder Specific page search issue
  - **Added:** ScrollSmoother responsive Controls
  - **Added:** Animated Heading Color Mode

= 🌀 Animation Addons for Elementor v2.4.9 – 04 Jan 2026

  - **Fix:** Stacking Card Url 
  - **Fix:** Dynamic Tag for taxonomy page

= 🌀 Animation Addons for Elementor v2.4.8 – 21 December 2025

  - **Fix:** ThemeBuilder slug and id while import demo
  - **Fix:** Add Dynamic Tag support in several widgets

= 🌀 Animation Addons for Elementor v2.4.7 – 08 Dec 2025

- **Fix: Animation Markup Control**  
  Resolved an issue where animation markup controls were not rendering correctly, ensuring smoother and more consistent animation behavior.

- **Fix: Theme Builder – Header/Footer Condition**  
  Improved the trigger logic so header and footer conditions now work properly across all layouts.

= 🌀 Animation Addons for Elementor v2.4.6 – 01 Dec 2025

   - **Fix: Widget** - Loop grid style
   - **Fix: Widget** - Youtube video
   - **Fix: Widget** - Grid hover post responsive

= 🌀 Animation Addons for Elementor v2.4.5 – 19 November 2025

  - **Feature:** Add new widget Loop Builder
  - **Feature:** Add Dynamic Tag support in several widgets
  - **Feature:** Add new controls in several widgets
  - **Feature:** Add Current template Names in admin bar
  - **Feature:** Add new Tag support in Extension Code Snippet HTML Editor
  - **Fix: Extension** - Popup template and script issues
  - **Fix: Extension** - Code Snippet Code Editor issues
  - **Fix: Widget** - Toggle style and responsive issue
  - **Fix: Widget** - Breadcrumb link and category link and name issue
  - **Fix: Widget** - Image Box link issue
  - **Fix: Widget** - Advanced Button style issue
  - **Fix: Widget** - Nested Slider Pagination Control issues
  - **Fix: Widget** - Brand Slider Responsive and image control issues
  - **Fix: Widget** - Author Box link issue
  - **Fix: Widget** - Post Ratings form issues
  - **Fix: Widget** - Advanced Accordion image issue
  - **Enhancement:** Remove unused code and Update code to the latest version php
  - **Enhancement:** Compatible some code with WordPress 6.8 Coding Standards
  - **Security:** Fix some nonce security issues
  - **Security:** Fix some sanitizing and escaping issues
  - **Added:** 15+ RTL Website templates 

= 🌀 Animation Addons for Elementor v2.4.4 – 06 November 2025

      -🎨 **Added:** BlackFriday Offer  

= 🌀 Animation Addons for Elementor v2.4.3 – 02 November 2025
  
  - 🪟 **Offcanvas Widget:** Added new control options, updated markup for better flexibility, optimized CSS, and replaced jQuery with lightweight JavaScript for enhanced speed.

  - 📱**Nav Menu Widget:**
    - **Added** new control panel for customization.
    - **Fixed** mobile menu click issue on devices under 767px by reloading JavaScript dynamically.
    - **Converted** jQuery logic to pure JavaScript for improved performance.

  - 🖼️ **Image Accordion Widget:** Fixed functionality issues and completely refactored to vanilla JavaScript.
  - 🔘 **Toggle Switcher:** Resolved toggle issues and refactored to pure JavaScript.

= 🌀 Animation Addons for Elementor v2.4.2 – 27 October 2025
    - 🎨 **Fixed:** Dashboard ScrollSmother Settings  

= 🌀 Animation Addons for Elementor v2.4.1 – 26 October 2025
  - 🧩 **Added:** Dashboard new widget  

= 🌀 Animation Addons for Elementor v2.4.0 – 23 October 2025
  - 🧩 **Improved:** Dashboard interface
  - 🧩 **Improved:** Notice interface

= 🌀 Animation Addons for Elementor v2.3.15 – 13 October 2025
  - 🧩 **Fixed:** Resolved js on demand object

= 🌀 Animation Addons for Elementor v2.3.14 – 12 October 2025

  - ⚡ **Improved:** On-demand JS loading for **Contact Form 7**, **Toggle Switcher**, and **Counter** widgets for faster performance.  
  - 📦 **Improved:** **Section Import Library** for smoother and more efficient section imports.  
  - 🎨 **Fixed:** Enhanced **UX for the plugin dashboard** with a cleaner and more user-friendly interface.  
  - 🧩 **Fixed:** Resolved **page import notice issue** for a better importing experience. 

= Animation Addons for Elementor v2.3.13 – 24 September 2025 =

  - 🆕 Added: 660+ Pages in Page importer 
  - ✏️ Improved: Code Snippet design and functionality 
  - ✏️ Improved: Section Import Library,
  - 🎨 Fixed: Native Sticky Header using smoother options
  - 🎨 Fixed: ThemeBuilder post-singulars condition

= Animation Addons for Elementor v2.3.12 – 02 September 2025 =

  - 🎨 Fixed: Toggle Widget for smoother interaction and better user experience
  - 🎨 Fixed: Mailchimp Widget subscribing issue to ensure seamless email marketing integration
  - 🎨 Fixed: Nested Element editor loading issue for faster, stable page building
  - 🆕 Added: Code Snippet visibility option to give you more control and flexibility in your projects
  - ✏️ Improved: Dashboard Starter Template design and filter for easier access to 220+ websites & 10,000+ sections

= Animation Addons for Elementor v2.3.11 – 19 august 2025 = 
  - 🆕 **Added:** Starter Template Menu
  - 🎨 **Fixed:** Mobile navigation overlay issue for smoother user experience
  - 🆕 **Added:** Code Snippet extension, 
  - ✏️ **Improved** Dashboard widget docs

= Animation Addons for Elementor v2.3.10 – 11 august 2025 = 
  - 🆕 **Added:** 20+ premium widgets — now completely free for all users!
  - 🎨 **Fixed:** Mobile navigation overlay issue for smoother user experience
  - 🆕 **Added:** New Popup trigger — show popups on mouse leave to boost conversions
  - ✏️ **Improved** Renamed “Pin” extension to “Sticky” for clearer usability and better user understanding

= Animation Addons for Elementor v2.3.9 – 18 july 2025 = 
  - 🎨 **Update:** Documentation with setup and usage guides for the new widgets.
  - 🎨 **Optimize:** Faster, leaner JavaScript for both editor and frontend.
  - 🆕 **Added:** Rating widget to showcase reviews and user feedback.
  - 🆕 **Added:** Breadcrumbs widget for better site navigation in Elementor.

= Animation Addons for Elementor v2.3.8 – 17 july 2025 =
  - 🆕 **Added:** ClickPop Widget for header
  - 🎨 **Fixed:** Starter Templates step  
  - 🎨 **Update:** Countdown widget css

= Animation Addons for Elementor v2.3.7 – 03 july 2025 =
  - 🆕 **Added:** PopUp Builder Option
  - 🎨 **Fixed:** Dashboard name issue
  - 🎨 **Update:** meta style option

= Animation Addons for Elementor v2.3.6 – 01 july 2025 =
  - 🆕 **Added:** New title show control in meta widget 
  - 🎨 **Fixed:** Change template library icon
  - 🎨 **Update:** Community group link update

= Animation Addons for Elementor v2.3.5 – 19 june 2025 =
  - 🆕 **optimize:** Optimize Hotspot widget  
  - 🎨 **Fixed:** Icon Box


= Animation Addons for Elementor v2.3.4 – 19 june 2025 =
  - 🆕 **Added:** Meta type review, read later, updated date 
  - 🎨 **Fixed:** Template Library Cors 
  - 🆕 **Added:** Image Hotspot widget
  - 🆕 **Added:** Single Category Template Builder Capability
  - 🎨 **Fixed:** Image Lazyload ScrollTrigger

= Animation Addons for Elementor v2.3.3 – 02 june 2025 =
  - 🆕 **Added:** Date and category filter in search widgets  
  - 🆕 **Added:** 10 new pre built template 
  - 🎨 **Updated:** Optimize js , css
  - 🎨 **optimize:** Improve asset on demand in search widget

= Animation Addons for Elementor v2.3.2 – 25 may 2025 =
  - 🆕 **Added:** x time in meta widget
  - 🆕 **Added:** Dependancy loaded in elementor widget for on demand asset load
  - 🎨 **Updated:** Dashboard Settings for Youtube , Weather, Tiktok
  - 🎨 **Updated:** Added ajax functionality in Search widget.

= Animation Addons for Elementor v2.3.1 – 15 may 2025 =
  - 🆕 **Added:** 5 animated business templates
  - 🆕 **Added:** optin popup
  - 🎨 **Fixed:** animation library dependancy

 = Animation Addons for Elementor v2.3 – 07 may 2025 =
  - ❌ **Removed:** remote request of chnagelog
  - 🎨 **Fixed:** template library store process

 = Animation Addons for Elementor v2.2 – 06 may 2025 =
  - ❌ **Removed:** Draggable js
  - 🎨 **Fixed:** user data security issue
  - 🆕 **Added:** Added 5 website templates

 = Animation Addons for Elementor v2.1.9 – 05 may 2025 =
  - 🆕 **Added:** Added notice for pro element
  - 🆕 **Added:** Responsive control to hide onepage nav title
 
 = Animation Addons for Elementor v2.1.8 – 22 April 2025 =
  - 🆕 **Added:** Scroll Smother option
  - 🎨 **Fixed:** Table of content icon in dashboard
  - 🆕 **Added:** One Page Nav svg size 

 = Animation Addons for Elementor v2.1.7 – 16 April 2025 =
  - 🎨 **Fixed:** Text Domain Translation Issue
  - 🎨 **Fixed:** Fix  Pre Built Template Dashboard

 = Animation Addons for Elementor v2.1.5 – 08 April 2025 =
  - 🎨 **Fixed:** Pre Built Template SSL issue 
  - 🎨 **Fixed:** Fix Toast Color Issue
  - ✅ **Compatibility:** Optimized Markup compatibility with **Elementor core** for Animation.

 = Animation Addons for Elementor v2.1.4 – 06 April 2025 =
  - 🎨 **Fixed:** Slider animation issue
  - 🎨 **Fixed:** Gallery Issue

 = Animation Addons for Elementor v2.1.2 – 25 March 2025 =
  - 🔄 **Updated:** Banner and dashboard updated
  - 🔄 **Updated:** Live Copy Support current container index

= Animation Addons for Elementor v2.1.1 – 20 March 2025 =
  - 🔄 **Updated:** intro video and price tab
  - 🔄 **Updated:** Update template Library vps path

 =  Animation Addons for Elementorv2.0 – 13 March 2025 =
  - ❌ **Removed:** GoodShare Library from social share widget
  - 🔄 **Updated:** Updated Dashboard UI
  - 🆕 **New Feature:** Added **Template Library**
  - 🆕 **New Feature:** Added **Live Copy Paste**
  - 🆕 **New Feature:** Added **Dynamic Tags**

 = Animation Addons for Elementor v1.1.9 – 20 February 2025 =
  - 🔄 **Updated:** Upgraded `SweetAlert.js` and `Typed.js` to the latest versions for improved performance and security.
  - ✅ **Compatibility:** Verified full compatibility with **Elementor core**.
  - ❌ **Removed:** Deprecated donation link for a cleaner user experience.
  - 🔒 **Fixed:** Resolved **nonce security vulnerabilities** to enhance website security.

 = Animation Addons for Elementor v1.1.8 – 17 December 2024 =
  - 🎨 **Fixed:** Resolved **Swiper slider styling issues** for better mobile and desktop responsiveness.
  - ✅ **Compatibility:** Ensured smooth integration with **Elementor core**.

 = Animation Addons for Elementor v1.1.7 – 10 December 2024 =
  - 🔒 **Security Fixes:**
    - Patched security vulnerabilities in **Tab Widget** and **Content Slider Widget**.
    - Implemented additional security layers for safer user interaction.
  - 🆕 **New Feature:** Added **role-based access control** for **template selection** in Tab and Content Slider Widgets.

 = Animation Addons for Elementor v1.1.6 – 27 November 2024 =
  - 🛠️ **Fixed:** Corrected **text domain issues** for better multilingual support.
  - ✅ **Tested:** Conducted compatibility tests with WordPress and Elementor updates.

= Animation Addons for Elementor v1.1.5 – 22 October 2024 =
  - 🚀 **Performance Boost:** Optimized **Social Share Widget** for **faster loading speed** and **improved SEO performance**.

= Animation Addons for Elementor v1.1.4 – 22 October 2024 =
  - 🆕 **New Addition:** Added a **download link** for the **"Extension for Animation Addons" plugin**, enabling **GSAP animation features**.

= Animation Addons for Elementor v1.1.3 – 21 October 2024 =
  - 🎨 **UI Enhancements:**
  - Introduced **responsive title margin controls** in the **Counter Widget** for improved layout customization.
  - 🔄 **Bug Fixes:**
  - Resolved **meta description duplication** issue for better SEO indexing.
  - Fixed **GoodShare console errors** to prevent script conflicts.

= Animation Addons for Elementor v1.1.2 – 22 September 2024 =
  - 🎨 **UI Enhancement:** Added **responsive input field height controls** in the **Contact Form 7 Widget** for better mobile optimization.

= Animation Addons for Elementor v1.1.1 – 14 September 2024 =
  - ⚡ **Performance Upgrade:**
    - Replaced the outdated `Waypoints.js` library with the **native Intersection Observer API** for **faster and more efficient animations**.
    - 🛠️ **Fixed:** **Progress Bar Widget** issue where progress was not displaying correctly.

= Animation Addons for Elementor v1.0.0 – 1 April 2024 =
 - 🚀 **Initial Release**
